import request from '../../utils/request'

/**
 * 获取日语培训列表—旧
 *
 */
export function GetEducationContractPageList(data) {
  return request({
    url: '/EducationContract/GetEducationContractPageList',
    method: 'post',
    data
  })
}
/**
 * 获取日语培训列表
 *
 */
export function GetEducationContractPageCodeList(data) {
  return request({
    url: '/EducationContract/GetEducationContractPageCodeList',
    method: 'post',
    data
  })
}
/**
 * 获取合同详情
 *
 */
export function GetEducationContractInfo(data) {
  return request({
    url: '/EducationContract/GetEducationContractInfo',
    method: 'post',
    data
  })
}

/**
 * 保存合同
 *
 */
export function SetEducationContractInfo(data) {
  return request({
    url: '/EducationContract/SetEducationContractInfo',
    method: 'post',
    data
  })
}

/**
 * 合同操作-旧
 *
 */
export function SetEducationContractAudit(data) {
  return request({
    url: '/EducationContract/SetEducationContractAudit',
    method: 'post',
    data
  })
}
/**
 * 合同操作
 *
 */
export function SetEducationContractAuditCode(data) {
  return request({
    url: '/EducationContract/SetEducationContractAuditCode',
    method: 'post',
    data
  })
}

/**
 * 合同操作-下载pdf
 *
 */
export function GetDownLoadEducationContract(data) {
  return request({
    url: '/EducationContract/GetDownLoadEducationContract',
    method: 'post',
    data
  })
}

/**
 * 合同操作-复制
 *
 */
export function SetEducationContractCopy(data) {
  return request({
    url: '/EducationContract/SetEducationContractCopy',
    method: 'post',
    data
  })
}

/**
 * 保存签名
 *
 */
export function SetEducationContractSign(data) {
  return request({
    url: '/EducationContract/SetEducationContractSign',
    method: 'post',
    data
  })
}

/**
 * 领取合同
 *
 */
export function SetOrderReceiveContract(data) {
  return request({
    url: '/order/SetOrderReceiveContract',
    method: 'post',
    data
  })
}


/**
 * 获取合同配置
 *
 */
export function GetStudentInfo(data) {
  return request({
    url: '/EducationContract/GetStudentInfo',
    method: 'post',
    data
  })
}

/**
 * 获取付款码
 *
 */
export function GenerateOrder(data) {
  return request({
    url: '/WeChatPay/GenerateOrder',
    method: 'post',
    data
  })
}

/**
 * 获取合同管理分页列表
 *
 */
export function GetMyEducationContractPageList(data) {
  return request({
    url: '/EducationContract/GetMyEducationContractPageList',
    method: 'post',
    data
  })
}

/**
 * 获取退课协议管理列表
 *
 */
export function GetBackClassProtocolPage(data) {
  return request({
    url: '/EducationContract/GetBackClassProtocolPage',
    method: 'post',
    data
  })
}

/**
 * 获取退课详情
 *
 */
export function GetBackClassProtocol(data) {
  return request({
    url: '/EducationContract/GetBackClassProtocol',
    method: 'post',
    data
  })
}

/**
 * 获取签字
 *
 */
export function SetBackClassProtocolSign(data) {
  return request({
    url: '/EducationContract/SetBackClassProtocolSign',
    method: 'post',
    data
  })
}

/**
 * 销售确认退课协议
 *
 */
export function SetBackClassProtocolSure(data) {
  return request({
    url: '/EducationContract/SetBackClassProtocolSure',
    method: 'post',
    data
  })
}
  
/**
 * 获取签字二维码链接
 *
 */
export function CreateWeChatCode(data) {
  return request({
    url: '/EducationContract/CreateWeChatCode',
    method: 'post',
    data
  })
}
  